Subject: Re: Problems with Inbox Format

From: [email-masked] (R. Stewart Ellis)
Date: 8 Jul 1997 14:24:30 GMT

[email-masked] (Anna Winkler) writes:

 >Hi,

 >I am running pine 3.95q on a Sparc 2 running Solaris.

 >I recently starting having problems accessing my mail via pine.
 >When first starting pine, I would get the error that the mail
 >file is in the wrong format.  When I specify the inbox path,
 >I can open one very large message read-only that contains all of
 >the mail messages.

This suggests that the first line of the folder is botched.  Pine is able to
handle several formats, but I have never had any occasion to deal with
anything except Berkeley mbox format.  In that format, which is what Sun and
Berkeley sendmail deliver the mail in, the first line of every message
should look like:

>From [email-masked] Thu Jun 29 15:45 EDT 1995

Then all the headers should follow without any blank lines, followed by a
blank line, then the body, a blankline and another start header in the above
format, and so on.

 >I have no problems looking at the file in unix mail, elm, or
 >an X mail tool that came with CDE.

One of them may have scrambled it.  Elm by default presents the (e)dit
option which opens your spool file in an editor, the single biggest problem
I have had in supporting elm for 6 or 7  years.

 >Has anyone experienced problems like this before?  I'm really frustrated
 >because nothing has changed in the system.

Something may have, but probably you inadvertently did something.  You did
not by any chance open the mail spool with a GNU EMACS mailreader did you?

 >Another variable to mention, I use a perl script called 'unixpop' to
 >move mail from a remote machine to my local machine.  It was working fine
 >before with pine, so although it is suspicious, it doesn't make sense.

 >Thanks in advance for any help,
 >Anna Winkler
 >[email-masked]

--
  R.Stewart(Stew) Ellis, Prof.of Appl.Socl. Informatics   ___________________
  Humanities & Social Science,  GMI Eng.& Mgmt.Inst. ()  /   _____  ______
  Flint, MI 48504 810-762-9765 Free speech&software  /\ /        / /  /  / /
  Web admin:  http://www.gmi.edu/      [email-masked]   /________/ /  /  / /